#include <stdio.h>
#include <conio.h>

int main(void)
{
	int x[2], i, razlika;
	char str[2];
	
	scanf("%s", &str);
	
	scanf("%d %d", &x[0], &x[1]);
	
	if (x[0] >= x[1])
		razlika = x[0] - x[1];
	else
		razlika = x[1] - x[0];
		
	if(str[0] != str[1] && razlika < 2)
	{	
		if (razlika == 0)
		{
			for (i = 0; i < (x[0] + x[1]) / 2; i++)
				{
					printf("%c", str[0]);
					printf("%c", str[1]);
				}	
		}
		else
		{
			printf("%c", str[1]);
			for (i = 0; i < (x[0] + x[1] - 1) / 2; i++)
				{
					printf("%c", str[0]);
					printf("%c", str[1]);
				}	
		}	
	}
	else
		printf("nemoguce");
	return 0;
}